pcl::recognition::ORROctree::Node Class Reference

`#include <pcl/recognition/ransac_based/orr_octree.h>`

## Classes

class | Data

## Public Member Functions

| Node ()
virtual | ~ Node ()
void | setCenter (const float *c)
void | setBounds (const float *b)
void | setParent (Node *parent)
void | setData (Node::Data *data)
void | computeRadius ()
| Computes the "radius" of the node which is half the diagonal length. More...
const float * | getCenter () const
const float * | getBounds () const
void | getBounds (float b[6]) const
Node * | getChild (int id)
Node * | getChildren ()
Node::Data * | getData ()
const Node::Data * | getData () const
void | setUserData (void *user_data)
Node * | getParent ()
bool | hasData ()
bool | hasChildren ()
float | getRadius () const
| Computes the "radius" of the node which is half the diagonal length. More...
bool | createChildren ()
void | deleteChildren ()
void | deleteData ()
void | makeNeighbors (Node *node)
| Make this and 'node' neighbors by inserting each node in the others node neighbor set. More...

## Protected Attributes

Node::Data * | data_
float | center_ [3]
float | bounds_ [6]
float | radius_
Node * | parent_
Node * | children_

## Detailed Description

Definition at line 75 of file orr_octree.h.

## Constructor & Destructor Documentation

## Node()

pcl::recognition::ORROctree::Node::Node | ( |  | ) |

inline

Definition at line 165 of file orr_octree.h.

## ~ Node()

virtual pcl::recognition::ORROctree::Node::~ Node | ( |  | ) |

inline

Definition at line 171 of file orr_octree.h.

## Member Function Documentation

## computeRadius()

void pcl::recognition::ORROctree::Node::computeRadius | ( |  | ) |

inline

Computes the "radius" of the node which is half the diagonal length.

Definition at line 191 of file orr_octree.h.

References pcl::recognition::aux::length3().

## createChildren()

bool pcl::recognition::ORROctree::Node::createChildren | ( |  | ) |

Referenced by pcl::recognition::ORROctree::createLeaf().

## deleteChildren()

void pcl::recognition::ORROctree::Node::deleteChildren | ( |  | ) |

inline

Definition at line 241 of file orr_octree.h.

## deleteData()

void pcl::recognition::ORROctree::Node::deleteData | ( |  | ) |

inline

Definition at line 248 of file orr_octree.h.

## getBounds() [1/2]

const float* pcl::recognition::ORROctree::Node::getBounds | ( |  | ) | const

inline

Definition at line 201 of file orr_octree.h.

## getBounds() [2/2]

void pcl::recognition::ORROctree::Node::getBounds | ( | float | b[6] | ) | const

inline

Definition at line 204 of file orr_octree.h.

## getCenter()

const float* pcl::recognition::ORROctree::Node::getCenter | ( |  | ) | const

inline

Definition at line 198 of file orr_octree.h.

Referenced by pcl::recognition::ORROctree::createLeaf(), pcl::recognition::ORROctree::getLeaf(), and pcl::recognition::ORROctree::insertNeighbors().

## getChild()

Node* pcl::recognition::ORROctree::Node::getChild | ( | int | id | ) |

inline

Definition at line 210 of file orr_octree.h.

Referenced by pcl::recognition::ORROctree::createLeaf(), and pcl::recognition::ORROctree::getLeaf().

## getChildren()

Node* pcl::recognition::ORROctree::Node::getChildren | ( |  | ) |

inline

Definition at line 213 of file orr_octree.h.

## getData() [1/2]

Node::Data* pcl::recognition::ORROctree::Node::getData | ( |  | ) |

inline

Definition at line 216 of file orr_octree.h.

Referenced by pcl::recognition::ORROctreeZProjection::Set::compare_nodes_z(), pcl::recognition::ORROctree::createLeaf(), and makeNeighbors().

## getData() [2/2]

const Node::Data* pcl::recognition::ORROctree::Node::getData | ( |  | ) | const

inline

Definition at line 219 of file orr_octree.h.

## getParent()

Node* pcl::recognition::ORROctree::Node::getParent | ( |  | ) |

inline

Definition at line 225 of file orr_octree.h.

## getRadius()

float pcl::recognition::ORROctree::Node::getRadius | ( |  | ) | const

inline

Computes the "radius" of the node which is half the diagonal length.

Definition at line 235 of file orr_octree.h.

## hasChildren()

bool pcl::recognition::ORROctree::Node::hasChildren | ( |  | ) |

inline

Definition at line 231 of file orr_octree.h.

Referenced by pcl::recognition::ORROctree::getLeaf().

## hasData()

bool pcl::recognition::ORROctree::Node::hasData | ( |  | ) |

inline

Definition at line 228 of file orr_octree.h.

## makeNeighbors()

void pcl::recognition::ORROctree::Node::makeNeighbors | ( | Node * | node | ) |

inline

Make this and 'node' neighbors by inserting each node in the others node neighbor set.

Nothing happens of either of the nodes has no data.

Definition at line 257 of file orr_octree.h.

References getData(), and pcl::recognition::ORROctree::Node::Data::insertNeighbor().

Referenced by pcl::recognition::ORROctree::insertNeighbors().

## setBounds()

void pcl::recognition::ORROctree::Node::setBounds | ( | const float * | b | ) |

inline

Definition at line 181 of file orr_octree.h.

## setCenter()

void pcl::recognition::ORROctree::Node::setCenter | ( | const float * | c | ) |

inline

Definition at line 178 of file orr_octree.h.

## setData()

void pcl::recognition::ORROctree::Node::setData | ( | Node::Data * | data | ) |

inline

Definition at line 187 of file orr_octree.h.

Referenced by pcl::recognition::ORROctree::createLeaf().

## setParent()

void pcl::recognition::ORROctree::Node::setParent | ( | Node * | parent | ) |

inline

Definition at line 184 of file orr_octree.h.

## setUserData()

void pcl::recognition::ORROctree::Node::setUserData | ( | void * | user_data | ) |

inline

Definition at line 222 of file orr_octree.h.

## Member Data Documentation

## bounds_

float pcl::recognition::ORROctree::Node::bounds_[6]

protected

Definition at line 268 of file orr_octree.h.

## center_

float pcl::recognition::ORROctree::Node::center_[3]

protected

Definition at line 268 of file orr_octree.h.

## children_

Node * pcl::recognition::ORROctree::Node::children_

protected

Definition at line 269 of file orr_octree.h.

## data_

Node::Data* pcl::recognition::ORROctree::Node::data_

protected

Definition at line 267 of file orr_octree.h.

## parent_

Node* pcl::recognition::ORROctree::Node::parent_

protected

Definition at line 269 of file orr_octree.h.

## radius_

float pcl::recognition::ORROctree::Node::radius_

protected

Definition at line 268 of file orr_octree.h.

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/orr_octree.h